## alkimia 8.2.1+p24.04+vstable+git20251001.1129

=== autotests/CMakeLists.txt ===

option(TEST_DEVELOP_HOST "Use development host for testing" OFF)
if(TEST_DEVELOP_HOST)
    add_definitions(-DTEST_DEVELOP_HOST)
endif()

include(ECMAddTests)
set(TEST_LIB
    Qt${QT_MAJOR_VERSION}::Test
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::DBus
    ${MP_LIBRARIES}
    alkimia-internal
    alkimia
)

# setup test environment
list(APPEND TEST_ENV "KDE_DEBUG=1")
if(BUILD_WITH_WEBENGINE)
    list(APPEND TEST_ENV "QTWEBENGINE_DISABLE_SANDBOX=1")
endif()
if(TEST_IN_DOCKER)
    list(APPEND TEST_ENV "QT_QPA_PLATFORM=offscreen")
endif()

if(BUILD_WITH_WEBKIT)
    set(TEST_SUFFIX "-webkit-")
elseif(BUILD_WITH_WEBENGINE)
    set(TEST_SUFFIX "-webengine-")
else(BUILD_WITH_WEBKIT)
    set(TEST_SUFFIX "")
endif()

ecm_add_tests(
    alkonlinequotesourcetest.cpp
    alkvaluetest.cpp
    alkquoteitemtest.cpp
    alkcompanytest.cpp
    alkdomtest.cpp
    alkexceptiontest.cpp
    ENV ${TEST_ENV}
    LINK_LIBRARIES
    ${TEST_LIB}
)

ecm_add_test(
    alkonlinequotetest.cpp
    ../src/alkquotereceiver.cpp
    ENV ${TEST_ENV}
    LINK_LIBRARIES ${TEST_LIB}
    TEST_NAME alkonlinequotes${TEST_SUFFIX}test
)

ecm_add_test(
    alkdateformattest.cpp
    ENV ${TEST_ENV}
    LINK_LIBRARIES ${TEST_LIB}
    TEST_NAME alkdateformattest
)

if(BUILD_WITH_WEBENGINE)
    ecm_add_test(
        test-qwebengine-offscreen.cpp
        ENV ${TEST_ENV}
        LINK_LIBRARIES ${TEST_LIB}
        TEST_NAME test-qwebengine-offscreen
    )
endif()

if(BUILD_WITH_WEBENGINE)
    ecm_add_test(
        test-qwebengine-cli.cpp
        ENV ${TEST_ENV}
        LINK_LIBRARIES ${TEST_LIB}
        TEST_NAME test-qwebengine-cli
    )
endif()

ecm_add_test(
    alkonlinequoteprivatetest.cpp
    alkonlinequoteprivatetest.qrc
    ENV ${TEST_ENV}
    LINK_LIBRARIES ${TEST_LIB} KF${QT_MAJOR_VERSION}::CoreAddons
    TEST_NAME alkonlinequoteprivatetest
)

ecm_add_test(
    alkdownloadenginetest.cpp
    alkdownloadenginetest.h
    COMPILE_DEFINITIONS -DUSE_QTNETWORK
    ENV ${TEST_ENV}
    LINK_LIBRARIES ${TEST_LIB}
    TEST_NAME alkdownloadengine-qt-test
)

if(BUILD_WITH_WEBKIT)
    ecm_add_test(
        alkdownloadenginetest.cpp
        alkdownloadenginetest.h
        COMPILE_DEFINITIONS -DUSE_WEBKIT
        ENV ${TEST_ENV}
        LINK_LIBRARIES ${TEST_LIB}
        TEST_NAME alkdownloadengine-webkit-test
    )
endif()

if(BUILD_WITH_WEBENGINE)
    ecm_add_test(
        alkdownloadenginetest.cpp
        alkdownloadenginetest.h
        COMPILE_DEFINITIONS -DUSE_WEBENGINE
        ENV ${TEST_ENV}
        LINK_LIBRARIES ${TEST_LIB}
        TEST_NAME alkdownloadengine-webengine-test
    )
endif()

ecm_add_test(
    alknewstuffenginetest.cpp
    ENV ${TEST_ENV}
    LINK_LIBRARIES alkimia alkimia-internal ${KF_NEWSTUFF_LIB}
    TEST_NAME alknewstuffenginetest
)

ecm_add_test(
    alkwebpagetest.cpp
    ENV ${TEST_ENV}
    LINK_LIBRARIES ${TEST_LIB}
    TEST_NAME alkwebpage${TEST_SUFFIX}test
)

#
# cmake install test
#
set(TEMP_INSTALL_DIR ${CMAKE_BINARY_DIR}/tmp)

if(CMAKE_CROSSCOMPILING)
    if(NOT TARGET_SYSROOT)
        execute_process(
            COMMAND ${CMAKE_C_COMPILER} --print-sysroot
            OUTPUT_VARIABLE TARGET_SYSROOT
            ERROR_VARIABLE ERROR
            RESULT_VARIABLE RESULT
        )
        if(RESULT)
            set(ENABLE_CLIENT_PACKAGE_TEST 0)
            message(WARNING "disabled client package build, because sysroot could not be fetched from compiler - error is ${ERROR_VARIABLE}")
        endif()
        string(REPLACE "\n" "/${TARGET_PREFIX}" TARGET_SYSROOT "${TARGET_SYSROOT}")
    endif()
    set(FIND_ROOT_PATH "-DCMAKE_FIND_ROOT_PATH:PATH=${TARGET_SYSROOT}/mingw")
endif()

if(ENABLE_CLIENT_PACKAGE_TEST)
    # clean local install directories used by client build/install test
    add_test(
        NAME test-install-local-clean
        COMMAND ${CMAKE_COMMAND} -E remove_directory ${TEMP_INSTALL_DIR}
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    )

    # install dbus in local directory for client build/install test
    add_test(
        NAME test-install-local
        COMMAND ${CMAKE_MAKE_PROGRAM} install DESTDIR=${TEMP_INSTALL_DIR}
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    )

    # build/install a client package using dbus cmake package support from this build
    add_test(
        NAME test-install-build-client-package
        COMMAND ${CMAKE_CTEST_COMMAND}
            --build-and-test
            ${CMAKE_CURRENT_SOURCE_DIR}/client-package
            ${CMAKE_CURRENT_BINARY_DIR}/client-package
            --build-config "${CMAKE_BUILD_TYPE}"
            --build-generator ${CMAKE_GENERATOR}
            --build-makeprogram ${CMAKE_MAKE_PROGRAM}
            --build-target install
            --build-options
                #--trace-expand
                -DALKIMIA_PATH_SUFFIX=${ALKIMIA_PATH_SUFFIX}
                -DLibAlkimia${ALKIMIA_PATH_SUFFIX}_DIR=${TEMP_INSTALL_DIR}${CMAKE_INSTALL_PREFIX}/${CMAKECONFIG_INSTALL_DIR}
                -DCHECK_VERSION=${PROJECT_VERSION}
                -DCMAKE_CROSSCOMPILING=${CMAKE_CROSSCOMPILING}
                -DCMAKE_C_COMPILER=${CMAKE_C_COMPILER}
                -DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}
                -DCMAKE_INSTALL_PREFIX:PATH=${TEMP_INSTALL_DIR}${CMAKE_INSTALL_PREFIX}
                ${FIND_ROOT_PATH}
                -DCMAKE_FIND_ROOT_PATH_MODE_PROGRAM=NEVER
                -DCMAKE_FIND_ROOT_PATH_MODE_LIBRARY=ONLY
                -DCMAKE_FIND_ROOT_PATH_MODE_INCLUDE=ONLY
                -DCMAKE_SYSTEM_NAME=${CMAKE_SYSTEM_NAME}
                -DCMAKE_SYSTEM_PROCESSOR=${CMAKE_SYSTEM_PROCESSOR}
        )

    set_property(TEST test-install-build-client-package APPEND PROPERTY DEPENDS test-install-local-clean test-install-local)
endif()

=== debian/changelog ===
alkimia (8.2.1+p24.04+vstable+git20251001.1129-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:29:40 +0000

## alkimia 8.2.1+p24.04+vstable+git20251015.1250

=== CMakeLists.txt ===
# The CMake version we require (must be first)
cmake_minimum_required(VERSION 3.16.0)
if(POLICY CMP0071)
    cmake_policy(SET CMP0071 NEW)
endif()

project(alkimia VERSION 8.2.1)

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

# adds option BUILD_WITH_QT6
include(QtVersionOption OPTIONAL)

option(BUILD_QT4 "Build for Qt4" OFF)
option(BUILD_TOOLS "Build tools" ON)
option(BUILD_WITH_WEBKIT "Build with Qt Web Kit library" OFF)
option(BUILD_SHARED_LIBS "Build shared libraries" ON)
option(ENABLE_CLIENT_PACKAGE_TEST "enable test for building a client package" OFF)

# No Plasma on Windows, so no applets
include(CMakeDependentOption)
cmake_dependent_option(BUILD_APPLETS "Build plasma applets" ON "NOT WIN32" OFF)

if(WIN32)
    set(ENABLE_FINANCEQUOTE_DEFAULT 1)
else()
    set(ENABLE_FINANCEQUOTE_DEFAULT 1)
endif()
option(ENABLE_FINANCEQUOTE "Enable finance quote support (requires perl)" ${ENABLE_FINANCEQUOTE_DEFAULT})
if(ENABLE_FINANCEQUOTE)
    message(STATUS "Building with Finance::Quote support")
    add_definitions(-DENABLE_FINANCEQUOTE)
    set(PACKAGE_COMPILE_OPTIONS "-DHAVE_ALK_FINANCEQUOTE")
endif()

if(BUILD_QT4)
    set(QT_MAJOR_VERSION 4)
endif()

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)

# provides option BUILD_TESTING
include(KDECMakeSettings)

include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)

include(Macros)

if(NOT QT_MAJOR_VERSION)
    message(FATAL_ERROR "No Qt version defined")
endif()

set(QT_USE_LIBSPREFIX Qt${QT_MAJOR_VERSION}::)

# setup network module
set(QT_NETWORK_COMPONENT Network)
set(QT_NETWORK_LIB ${QT_USE_LIBSPREFIX}Network)
message(STATUS "Using Qt Network as download backend")

# check for PkgConfig, Qt and MPIR/GMP
find_package(PkgConfig)
if(QT_MAJOR_VERSION EQUAL 4)
    set(ALKIMIA_LIB_SUFFIX "")
    set(ALKIMIA_PATH_SUFFIX)
    set(PC_TARGET_QTPREFIX Qt)
    set(PC_TARGET_SUFFIX)

    # select browser engine
    if(BUILD_WITH_WEBKIT)
        add_definitions(-DBUILD_WITH_WEBKIT)
        set(QT_BROWSER_COMPONENT WebKit)
        set(QT_BROWSER_LIB ${QT_USE_LIBSPREFIX}WebKit)
        message(STATUS "Using Qt WebKit as download backend with javascript support")
        feature_notes(TRUE TRUE TRUE TRUE)
    else()
        feature_notes(FALSE TRUE FALSE FALSE)
    endif()

    # select qml engine
    set(QT_QML_COMPONENT Declarative)
    set(QT_QML_LIB ${QT_USE_LIBSPREFIX}${QT_QML_COMPONENT})

    # setup Qt components
    set(QT_PRIVATE_COMPONENTS Core Gui DBus ${QT_NETWORK_COMPONENT} Test ${QT_BROWSER_COMPONENT} ${QT_QML_COMPONENT})
    set(QT_PUBLIC_COMPONENTS)
    find_package(Qt${QT_MAJOR_VERSION} COMPONENTS ${QT_PRIVATE_COMPONENTS} ${QT_PUBLIC_COMPONENTS})

    # setup KDE Frameworks components
    find_package(KF${QT_MAJOR_VERSION} REQUIRED)
    set(KF_NEWSTUFF_LIB KF${QT_MAJOR_VERSION}::NewStuff knewstuff)
    set(QML_INSTALL_DIR ${LIB_INSTALL_DIR}/qt4/plugins/imports)
    set(BUILD_WITH_WEBKIT 1)

    # install custom cmake files
    set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}-${alkimia_VERSION_MAJOR}.${alkimia_VERSION_MINOR}")
    install(
        FILES ${QT4_INSTALL_CMAKECONFIG_FILES} ${KF4_INSTALL_CMAKECONFIG_FILES}
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        COMPONENT Devel
    )
    add_subdirectory(3rdparty/KF${QT_MAJOR_VERSION}/knewstuff)
else()
    if (QT_MAJOR_VERSION EQUAL 5)
        set(QT_MIN_VERSION 5.12.2)
        set(KF_MIN_VERSION 5.76)
    endif()
    set(ALKIMIA_LIB_SUFFIX "${QT_MAJOR_VERSION}")
    set(ALKIMIA_PATH_SUFFIX ${QT_MAJOR_VERSION})
    set(PC_TARGET_QTPREFIX Qt${QT_MAJOR_VERSION})
    set(PC_TARGET_SUFFIX ${QT_MAJOR_VERSION})

    # select browser engine
    find_package(Qt${QT_MAJOR_VERSION}WebEngineWidgets ${QT_MIN_VERSION})

    option(BUILD_WITH_WEBENGINE "Build with Qt Web Engine (experimental)" ${Qt${QT_MAJOR_VERSION}WebEngineWidgets_FOUND})
    if (BUILD_WITH_WEBENGINE AND NOT BUILD_WITH_WEBKIT)
        add_definitions(-DBUILD_WITH_WEBENGINE)
        set(QT_BROWSER_COMPONENT WebEngineWidgets)
        message(STATUS "Using Qt WebEngine as download backend with javascript support")
        feature_notes(UNSTABLE TRUE FALSE TRUE)
    elseif(BUILD_WITH_WEBKIT)
        set(BUILD_WITH_WEBENGINE FALSE)
        add_definitions(-DBUILD_WITH_WEBKIT)
        set(QT_BROWSER_COMPONENT WebKitWidgets)
        message(STATUS "Using Qt WebKit as download backend with javascript support")
        feature_notes(TRUE TRUE TRUE TRUE)
    else()
        set(QT_BROWSER_COMPONENT Widgets)
        feature_notes(FALSE TRUE FALSE FALSE)
    endif()
    set(QT_BROWSER_LIB ${QT_USE_LIBSPREFIX}${QT_BROWSER_COMPONENT})

    set(QT_QML_COMPONENT Qml)
    set(QT_QML_LIB ${QT_USE_LIBSPREFIX}${QT_QML_COMPONENT})

    # setup Qt components
    set(QT_PRIVATE_COMPONENTS Core DBus ${QT_NETWORK_COMPONENT} Test ${QT_QML_COMPONENT})
    set(QT_PUBLIC_COMPONENTS ${QT_BROWSER_COMPONENT})
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS ${QT_PRIVATE_COMPONENTS} ${QT_PUBLIC_COMPONENTS})

    # setup KDE Frameworks components
    if(BUILD_APPLETS)
        if(QT_MAJOR_VERSION GREATER_EQUAL 6)
            find_package(Plasma)
        else()
            set(PLASMA_COMPONENT Package Plasma)
        endif()
    endif()
    if(QT_MAJOR_VERSION GREATER_EQUAL 6)
        set(QT_DBUS_LIB Qt${QT_MAJOR_VERSION}::DBus)
        set(KF_NEWSTUFF_COMPONENT NewStuffCore NewStuff)
        set(KF_NEWSTUFF_LIB KF${QT_MAJOR_VERSION}::NewStuffWidgets)
        set(KF_PRIVATE_COMPONENTS Codecs WidgetsAddons)
        set(KF_PRIVATE_LIBS KF${QT_MAJOR_VERSION}::Codecs KF${QT_MAJOR_VERSION}::WidgetsAddons)
    else()
        set(QT_DBUS_LIB)
        set(KF_NEWSTUFF_COMPONENT NewStuff)
        set(KF_NEWSTUFF_LIB KF${QT_MAJOR_VERSION}::${KF_NEWSTUFF_COMPONENT})
        set(KF_PRIVATE_COMPONENTS)
    endif()

    set(KF_PUBLIC_COMPONENTS Config)
    list(APPEND KF_PRIVATE_COMPONENTS
        CoreAddons
        Completion
        I18n
        ${KF_NETWORK_COMPONENT}
        ${KF_NEWSTUFF_COMPONENT}
        IconThemes
        ${PLASMA_COMPONENT}
        TextWidgets
        XmlGui
    )
    find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS ${KF_PRIVATE_COMPONENTS} ${KF_PUBLIC_COMPONENTS})

    macro(ecm_add_executable)
        add_executable(${ARGN})
    endmacro(ecm_add_executable)

    if(CMAKE_COMPILER_IS_GNUCC)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
    endif()

    set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}-${alkimia_VERSION_MAJOR}.${alkimia_VERSION_MINOR}")

    add_definitions(
        -DKF_DEPRECATED_WARNINGS_SINCE=0x60000
        -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x56200
        -DQT_DEPRECATED_WARNINGS_SINCE=0x60000
        -DQT_DISABLE_DEPRECATED_BEFORE=0x50f02
        -DQT_NO_KEYWORDS
    )
endif()

# setup common variables
set(ALKIMIA_INCLUDE_SUFFIX "Qt${QT_MAJOR_VERSION}")

# setup components for use in cmake support files
set(CMAKECONFIG_QT_COMPONENTS ${QT_PUBLIC_COMPONENTS})
set(CMAKECONFIG_KF_COMPONENTS ${KF_PUBLIC_COMPONENTS})

# static builds need also private components
if(NOT BUILD_SHARED_LIBS)
    list(APPEND CMAKECONFIG_QT_COMPONENTS ${QT_PRIVATE_COMPONENTS})
    list(APPEND CMAKECONFIG_KF_COMPONENTS ${KF_PRIVATE_COMPONENTS})
endif()

if(NOT SHARE_INSTALL_DIR)
    set(SHARE_INSTALL_DIR ${DATA_INSTALL_DIR})
endif()

set(TARGET_SUFFIX ${PC_TARGET_SUFFIX})

find_package(Git QUIET)
set(BUILD_KEY "${PROJECT_VERSION}")
if(Git_FOUND)
    set(GITCOMMAND ${GIT_EXECUTABLE} -C ${CMAKE_CURRENT_SOURCE_DIR})
    execute_process(
        COMMAND ${GITCOMMAND} rev-parse --short HEAD
        OUTPUT_VARIABLE COMMIT_ID
        ERROR_VARIABLE ERROR
        RESULT_VARIABLE RESULT
    )
    if(NOT RESULT AND COMMIT_ID)
        string(STRIP ${COMMIT_ID} COMMIT_ID)
        message(STATUS "Using git commit id '${COMMIT_ID}'")
        string(APPEND BUILD_KEY "-${COMMIT_ID}")
    endif()
endif()
if(BUILD_WITH_WEBKIT)
    string(APPEND BUILD_KEY "-webkit")
elseif(BUILD_WITH_WEBENGINE)
    string(APPEND BUILD_KEY "-webengine")
endif()
string(APPEND BUILD_KEY "-qtnetwork")
if(ENABLE_FINANCEQUOTE)
    string(APPEND BUILD_KEY "-financequote")
endif()

add_definitions(
    -DTARGET_SUFFIX=\"${TARGET_SUFFIX}\"
    -DKNSRC_DIR="${CMAKE_SOURCE_DIR}/src"
    -DBUILD_KEY="${BUILD_KEY}"
)

# figure out which multi-precision library to use
# MPIR is preferred over GMP
find_package(MPIR)
if(MPIR_FOUND)
    set(MP_INCLUDE_DIR ${MPIR_INCLUDE_DIR})
    set(MP_LIBRARIES ${MPIR_LIBRARIES})
    set(MP_HEADER mpirxx.h)
    set(MP_CMAKE_MODULE "MPIR")
    set(PC_LIB mpir)
else()
    find_package(GMP REQUIRED)
    set(MP_INCLUDE_DIR ${GMP_INCLUDE_DIR})
    set(MP_LIBRARIES ${GMP_LIBRARIES})
    set(MP_HEADER gmpxx.h)
    set(MP_CMAKE_MODULE "GMP")
    set(PC_LIB gmp)
endif()

include_directories(${MP_INCLUDE_DIR})

# check for Doxygen (for API documentation)
find_package(Doxygen)
if(DOXYGEN_FOUND)
  set(APIDOC_DIR ${CMAKE_CURRENT_BINARY_DIR}/apidocs)

  make_directory("${APIDOC_DIR}")
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/alkimia.doxygen.in ${CMAKE_CURRENT_BINARY_DIR}/alkimia.doxygen IMMEDIATE)

  add_custom_target(apidoc "${DOXYGEN}" "${CMAKE_CURRENT_BINARY_DIR}/alkimia.doxygen")
endif(DOXYGEN_FOUND)

feature_summary(WHAT ALL)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/src
)

add_subdirectory(src)
add_subdirectory(qml)

if(BUILD_APPLETS)
    add_subdirectory(plasma/applets)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

if (BUILD_TOOLS)
    add_subdirectory(tools)
endif()

ki18n_install(po)

=== debian/changelog ===
alkimia (8.2.1+p24.04+vstable+git20251015.1250-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:50:52 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

export DEB_BUILD_MAINT_OPTIONS = hardening=+all buildinfo=+path
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with kf6 --buildsystem kf6

## alkimia 8.2.1+p24.04+vstable+git20251020.0622

=== debian/changelog ===
alkimia (8.2.1+p24.04+vstable+git20251020.0622-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:22:23 +0000

## alkimia 8.2.1+p24.04+vstable+git20251123.0933

=== debian/changelog ===
alkimia (8.2.1+p24.04+vstable+git20251123.0933-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:33:21 +0000

## alkimia 8.2.1+p24.04+vstable+git20260101.0019

=== debian/changelog ===
alkimia (8.2.1+p24.04+vstable+git20260101.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 00:19:31 +0000

## alkimia 8.2.1+p24.04+vstable+git20260122.0507

=== debian/changelog ===
alkimia (8.2.1+p24.04+vstable+git20260122.0507-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 05:07:32 +0000

## alkimia 8.2.1+p24.04+vstable+git20260131.0024

=== debian/changelog ===
alkimia (8.2.1+p24.04+vstable+git20260131.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 00:24:17 +0000

## alkimia 8.2.1+p24.04+vstable+git20260216.0225

=== debian/changelog ===
alkimia (8.2.1+p24.04+vstable+git20260216.0225-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 02:25:25 +0000

## alkimia 8.2.1+p24.04+vstable+git20260219.0355

=== debian/changelog ===
alkimia (8.2.1+p24.04+vstable+git20260219.0355-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 03:55:54 +0000

## alkimia 8.2.1+p24.04+vunstable+git20260205.0748

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     cmake_policy(SET CMP0071 NEW)
 endif()
 
-project(alkimia VERSION 8.2.1)
+project(alkimia VERSION 8.2.70)
 
 find_package(ECM 0.0.11 REQUIRED NO_MODULE)
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

=== src/CMakeLists.txt ===
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)

########### target alkimia-internal ###########

set(alkimia_INTERNAL_SRCS
    alkdebug.cpp
    alkapplication.cpp
    alkdateformat.cpp
    alkexception.cpp
    alknewstuffwidget.cpp
    alkonlinequoteprocess.cpp
    alkquoteitem.cpp
    alkquotereceiver.cpp
)

set(alkimia_INTERNAL_HEADERS
    alkapplication.h
    alkcombobox.h
    alkdateformat.h
    alkdebug.h
    alkexception.h
    alknewstuffwidget.h
    alkonlinequoteprocess.h
    alkquoteitem.h
    alkquotereceiver.h
)

set(alkimia_INTERNAL_UI
)

# Avoid linking to dllexported QDebug function
if(WIN32)
    set_source_files_properties(alknewstuffwidget.cpp PROPERTIES COMPILE_DEFINITIONS ALK_STATIC_DEFINE)
endif()

ki18n_wrap_ui(alkimia_INTERNAL_SRCS ${alkimia_INTERNAL_UI} )
add_library(alkimia-internal STATIC ${alkimia_INTERNAL_SRCS} ${alkimia_INTERNAL_HEADERS})

set_target_properties(alkimia-internal PROPERTIES POSITION_INDEPENDENT_CODE ON)

if(MINGW)
    # On Windows we need undecorated symbols for class AlkValue
    set_source_files_properties(
        alkquoteitem.cpp
        alkquotereceiver.cpp
        PROPERTIES
            COMPILE_DEFINITIONS -DALK_STATIC_DEFINE
    )
endif()

if (QT_MAJOR_VERSION GREATER_EQUAL 5)
    list(APPEND ALKIMIA_INTERNAL_LIBS
        PRIVATE
        ${QT_DBUS_LIB}
        KF${QT_MAJOR_VERSION}::Completion
        KF${QT_MAJOR_VERSION}::CoreAddons
        KF${QT_MAJOR_VERSION}::I18n
    )
endif()

target_link_libraries(alkimia-internal PRIVATE
    ${ALKIMIA_INTERNAL_LIBS}
    ${KF_NEWSTUFF_LIB}
    KF${QT_MAJOR_VERSION}::ConfigCore
)
kde_target_enable_exceptions(alkimia-internal PUBLIC)

########### target alkimia ###########

set(ALKIMIA_LIB_VERSION ${alkimia_VERSION})
set(ALKIMIA_LIB_SOVERSION "${alkimia_VERSION_MAJOR}")

set(alkimia_LIB_SRCS
    alkcompany.cpp
    alkdom.cpp
    alkdownloadengine.cpp
    alkenvironment.cpp
    alknewstuffengine.cpp
    alknewstuffentry.cpp
    alknewstuffstore.cpp
    alkonlinequote.cpp
    alkonlinequote_p.cpp
    alkonlinequotesmodel.cpp
    alkonlinequotesource.cpp
    alkonlinequotesprofile.cpp
    alkonlinequotesprofile_p.cpp
    alkonlinequotesprofilemanager.cpp
    alkonlinequoteswidget.cpp
    alkonlinequoteuploaddialog.cpp
    alkvalue.cpp
    alkversion.cpp
    alkutils.cpp
    alkwebpage.cpp
    alkwebview.cpp
)

set(alkimia_LIB_HEADERS
    alkcompany.h
    alkdom.h
    alkenvironment.h
    alknewstuffengine.h
    alknewstuffentry.h
    alknewstuffstore.h
    alkonlinequote.h
    alkonlinequotesource.h
    alkonlinequotesprofile.h
    alkonlinequotesprofilemanager.h
    alkonlinequoteswidget.h
    alkwebpage.h
    alkwebview.h
)

set(alkimia_LIB_PRIVATE_HEADERS
    alkdownloadengine.h
    alknewstuffentry_p.h
    alkonlinequote_p.h
    alkonlinequotesmodel.h
    alkonlinequotesource_p.h
    alkonlinequotesprofile_p.h
    alkonlinequoteuploaddialog.h
    alkpushbutton.h
    alktestdefs.h
    alkutils.h
)

if(ENABLE_FINANCEQUOTE)
    list(APPEND alkimia_LIB_SRCS alkfinancequoteprocess.cpp)
    list(APPEND alkimia_LIB_HEADERS alkfinancequoteprocess.h)
endif()

set(alkimia_UI
    alkonlinequotedetails.ui
    alkonlinequoteslist.ui
    alkonlinequotesdebug.ui
    alkonlinequotesprofiledetails.ui
    alkonlinequotesprofiles.ui
    alkonlinequoteuploaddialog.ui
)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/alkversion.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/alkimia/alkversion.h
    IMMEDIATE
)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/alkvalue.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/alkimia/alkvalue.h
    IMMEDIATE
)

foreach(header ${alkimia_LIB_HEADERS})
    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/${header}
        ${CMAKE_CURRENT_BINARY_DIR}/alkimia/${header}
        COPYONLY
    )
endforeach()

ki18n_wrap_ui(alkimia_LIB_SRCS ${alkimia_UI} )
add_library(alkimia ${alkimia_LIB_SRCS} ${alkimia_LIB_HEADERS} ${alkimia_LIB_PRIVATE_HEADERS})

kde_target_enable_exceptions(alkimia PUBLIC)
target_link_libraries(alkimia PRIVATE
    ${QT_NETWORK_LIB}
    Qt${QT_MAJOR_VERSION}::DBus
    ${KF_NETWORK_LIB}
    ${KF_NEWSTUFF_LIB}
    KF${QT_MAJOR_VERSION}::Codecs
    KF${QT_MAJOR_VERSION}::Completion
    KF${QT_MAJOR_VERSION}::I18n
    KF${QT_MAJOR_VERSION}::IconThemes
    KF${QT_MAJOR_VERSION}::TextWidgets
    KF${QT_MAJOR_VERSION}::WidgetsAddons
    PUBLIC
    KF${QT_MAJOR_VERSION}::ConfigCore
)

add_definitions(-DTRANSLATION_DOMAIN=\"alkimia\")

if (QT_MAJOR_VERSION GREATER_EQUAL 6 AND NOT INCLUDE_INSTALL_DIR)
    set(INCLUDE_INSTALL_DIR include)
endif()

target_include_directories(alkimia
    INTERFACE
        ${MP_INCLUDE_DIR}
        $<INSTALL_INTERFACE:include/alkimia/${ALKIMIA_INCLUDE_SUFFIX}>
)

target_link_libraries(alkimia
    PRIVATE
    alkimia-internal
    PUBLIC
    ${MP_LIBRARIES}
    ${QT_BROWSER_LIB}
    Qt${QT_MAJOR_VERSION}::Core
)

if(QT_MAJOR_VERSION GREATER_EQUAL 5 AND MSVC AND BUILD_WITH_WEBKIT)
    message(WARNING "Applying fix for broken Qt WebKit package (see https://phabricator.kde.org/T10146 for details)")
    target_link_libraries(alkimia
        PRIVATE
        Qt${QT_MAJOR_VERSION}::Test
    )
endif()

if (NOT INCLUDE_INSTALL_DIR)
    set(INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR})
endif()
install(
    DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/alkimia
    DESTINATION ${INCLUDE_INSTALL_DIR}/alkimia/${ALKIMIA_INCLUDE_SUFFIX}
    COMPONENT Devel
)

generate_export_header(alkimia BASE_NAME alk EXPORT_FILE_NAME alkimia/alk_export.h)

if(BUILD_SHARED_LIBS)
    if(WIN32)
        set_target_properties(alkimia PROPERTIES SUFFIX "-${ALKIMIA_LIB_SOVERSION}${CMAKE_SHARED_LIBRARY_SUFFIX}")
    else()
        set_target_properties(alkimia PROPERTIES VERSION ${ALKIMIA_LIB_VERSION} SOVERSION ${ALKIMIA_LIB_SOVERSION})
    endif()
endif()
set_target_properties(alkimia PROPERTIES OUTPUT_NAME alkimia${ALKIMIA_LIB_SUFFIX})
set(INCLUDE_INSTALL_DIR include/alkimia/${ALKIMIA_INCLUDE_SUFFIX})

if(BUILD_SHARED_LIBS)
    set(alkimia_export_targets alkimia)
else()
    set(alkimia_export_targets alkimia alkimia-internal)
endif()

install(TARGETS ${alkimia_export_targets}
    EXPORT  alkimiaTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

if(QT_MAJOR_VERSION LESS 5)
    if(WIN32)
        set(KDE_INSTALL_KNSRCDIR ${SHARE_INSTALL_DIR}/config)
    else()
        set(KDE_INSTALL_KNSRCDIR ${SHARE_INSTALL_DIR}/kde4/config)
    endif()
    set(APPDATA_INSTALL_DIR ${SHARE_INSTALL_DIR}/kde4/apps)
    set(FQ_LOCAL_INSTALL_PATH ${CMAKE_BINARY_DIR}/share/apps/alkimia${ALKIMIA_PATH_SUFFIX}/misc)
else()
    if(NOT KDE_INSTALL_KNSRCDIR)
        set(KDE_INSTALL_KNSRCDIR "share/knsrcfiles")
    endif()
    set(APPDATA_INSTALL_DIR ${KDE_INSTALL_DATADIR})
    set(FQ_LOCAL_INSTALL_PATH ${CMAKE_BINARY_DIR}/share/alkimia${ALKIMIA_PATH_SUFFIX}/misc)
endif()

install(FILES
    alkimia-quotes.knsrc
    kmymoney-quotes.knsrc
    skrooge-quotes.knsrc
    DESTINATION ${KDE_INSTALL_KNSRCDIR}
)

# install perl script in expected location of build dir
# KDE4: set KDEHOME to build dir
# KF5: ???
if(ENABLE_FINANCEQUOTE)
    make_directory(${FQ_LOCAL_INSTALL_PATH})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/financequote.pl ${FQ_LOCAL_INSTALL_PATH}/financequote.pl IMMEDIATE COPYONLY)
    install(PROGRAMS financequote.pl
      DESTINATION ${APPDATA_INSTALL_DIR}/alkimia${ALKIMIA_PATH_SUFFIX}/misc
    )
endif()

if (NOT WIN32)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libalkimia.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libalkimia${ALKIMIA_PATH_SUFFIX}.pc IMMEDIATE @ONLY)
endif(NOT WIN32)

########### create package configuration file ###########

ecm_setup_version(${alkimia_VERSION} VARIABLE_PREFIX ALKIMIA
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}ConfigVersion.cmake"
    COMPATIBILITY SameMajorVersion
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/LibAlkimiaConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}Config.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

########### install files ###############

export(TARGETS ${alkimia_export_targets}
    FILE "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}Targets.cmake"
    NAMESPACE Alkimia::
)

install(EXPORT alkimiaTargets
    FILE LibAlkimia${ALKIMIA_PATH_SUFFIX}Targets.cmake
    NAMESPACE Alkimia::
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}Config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}ConfigVersion.cmake"
    "../cmake/modules/Find${MP_CMAKE_MODULE}.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

if (NOT WIN32)
    if (LIB_INSTALL_DIR)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libalkimia${ALKIMIA_PATH_SUFFIX}.pc
            DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
    else()
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libalkimia${ALKIMIA_PATH_SUFFIX}.pc
            DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
    endif()
endif(NOT WIN32)

########### documentation ###################

if(DOXYGEN_FOUND)
    set(APIDOC_DIR ${CMAKE_CURRENT_BINARY_DIR}/apidocs)

    make_directory(${APIDOC_DIR})

    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libalkimia.doxygen.in ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.doxygen IMMEDIATE)

    add_custom_target(libalkimia_apidoc ${DOXYGEN} ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.doxygen)
endif(DOXYGEN_FOUND)

add_subdirectory(python)

=== src/python/CMakeLists.txt ===

#
# install gdb pretty printer
#
set(_srcfile libalkimia-gdb.py)
set(_prefix ${CMAKE_SHARED_LIBRARY_PREFIX})
set(_suffix ${CMAKE_SHARED_LIBRARY_SUFFIX})
get_target_property(_name alkimia OUTPUT_NAME)

if(WIN32)
    set(_version ${PROJECT_VERSION_MAJOR})
    set(_gdb_libname ${_prefix}${_name}-${_version}${_suffix}-gdb.py)
    set(_gdb_install_dir ${CMAKE_INSTALL_BINDIR})
else()
    set(_version ${PROJECT_VERSION})
    set(_gdb_libname ${_prefix}${_name}${_suffix}.${_version}-gdb.py)
    set(_gdb_libdir ${CMAKE_INSTALL_FULL_LIBDIR})
    set(_gdb_install_dir ${CMAKE_INSTALL_DATADIR}/gdb/auto-load/${_gdb_libdir})
endif()

# used by gdb when debugging executables from the build dir
configure_file(${_srcfile} ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${_gdb_libname} COPYONLY)

install(
    FILES libalkimia-gdb.py
    DESTINATION ${_gdb_install_dir}
    RENAME ${_gdb_libname}
)

=== debian/changelog ===
alkimia (8.2.1+p24.04+vunstable+git20260205.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:48:46 +0000

=== debian/control ===
Source: alkimia
Section: libs
Priority: optional
Uploaders: Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami-dev,
               kf6-knewstuff-dev,
               kf6-kpackage-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               libgmp-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-webengine-dev,
               xauth,
               xvfb
Standards-Version: 4.7.0
Homepage: http://kde-apps.org/content/show.php?content=137323
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/extras/alkimia.git
Vcs-Browser: https://invent.kde.org/neon/extras/alkimia
Maintainer: Neon CI <neon@kde.org>

Package: alkimia-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Financial library - binaries
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 Commandline binaries for the library.

Package: alkimia-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Financial library - data files
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 Support files for the library.

Package: libalkimia6-8
Architecture: any
Depends: alkimia-data (= ${source:Version}),
         libplasma6,
         qt6-webengine,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libalkimia5-8 (<< ${source:Version}~ciBuild)
Replaces: libalkimia5-8 (<< ${source:Version}~ciBuild)
Recommends: alkimia-bin (= ${source:Version})
Description: Financial library common classes for KDE
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.

Package: libalkimia6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kf6-extra-cmake-modules,
         kf6-kconfig-dev,
         libalkimia6-8 (= ${binary:Version}),
         libgmp-dev,
         qt6-base-dev,
         qt6-webengine-dev,
         ${misc:Depends}
Breaks: libalkimia5-dev (<< ${source:Version}~ciBuild)
Replaces: libalkimia5-dev (<< ${source:Version}~ciBuild)
Description: Financial library - Development files
 Libalkimia is a library with common classes and functionality used by
 finance applications for the KDE SC. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 This package contains development files needed for Libalkimia.

Package: plasma-widget-foreigncurrencies
Architecture: any
Depends: libalkimia6-8 (= ${binary:Version}),
         qml6-module-org-kde-alkimia,
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Financial library - Currency Plasmoid
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 This package contains development files needed for Libalkimia.

Package: qml6-module-org-kde-alkimia
Architecture: any
Depends: libalkimia6-8 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Financial library - QML Module
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 This package contains the files for using Alkimia with QML.

Package: libalkimia-dev
Depends: libalkimia6-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libalkimia5-dev
Depends: libalkimia6-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libalkimia5-8
Depends: libalkimia6-8, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: qml-module-org-kde-alkimia
Depends: qml6-module-org-kde-alkimia, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.
